// 第三方依赖
import isFunction from 'lodash/isFunction';
import { globalConfig } from '../../constants';
/**
 * 获取响应转换函数
 */
export function getResponseTransform(remote) {
    if (isFunction(remote === null || remote === void 0 ? void 0 : remote.responseTransform)) {
        return remote.responseTransform;
    }
    if (isFunction(globalConfig.responseTransform)) {
        return globalConfig.responseTransform;
    }
    return globalConfig.responseTransform;
}
